Jump to content
Changes to the Jaspersoft community edition download ×

Compatablity selection and Charts


sneatherlin

Recommended Posts

I have an jasper file working in v 1.2.5 that when I (within iReports) execute report and see results in viewer I can see the charts and values when compatability is set to v 1.2.0 but when compatability is set to v 1.2.5 I see the Chart but not the values.

 

Everything else works as expected, minus still fighting the sub-reports issue.

 

I had forgotten I had changed the compatablity to v 1.2.0 earlier and when I saw this I set it to v 1.2.5 in hopes that would solve Sub-reports issue.

 

Sam:side:

Link to comment
Share on other sites

  • 3 weeks later...
  • Replies 2
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Reports with charts that have been made with 1.2.3 in my case dont work in 1.2.5 until the compatibility is set to 1.2.0.

I wonder why is that so - and will this be changed in future? Like this its really a hard job to keep the Jasperreports-Software up-to-date - I have to set these compatibility-settings all the time and everywhere. Why seems to be there no recognized internal tag in the jasper- or jrxml-files for versioning?

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...